package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.common.entity.BaseEntity;

/**
 * 对应数据库表(employee_visit):
 */
public class EmployeeVisit extends BaseEntity {

	/**  */
	private Long id;
	
	/**  */
	private Long employeeInfoId;
	
	/** 回访人 */
	private Integer operatorId;
	
	private String operatorName;
	
	/** 回访内容 */
	private String content;
	
	/** 下次回访时间 */
	private java.util.Date nextVisitDate;
	
	/**  */
	private java.util.Date createTime;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setEmployeeInfoId(Long employeeInfoId){
		this.employeeInfoId = employeeInfoId;
	}
	
	public Long getEmployeeInfoId(){
		return this.employeeInfoId;
	}
			
	public void setOperatorId(Integer operatorId){
		this.operatorId = operatorId;
	}
	
	public Integer getOperatorId(){
		return this.operatorId;
	}
			
	public void setContent(String content){
		this.content = content;
	}
	
	public String getContent(){
		return this.content;
	}
			
	public void setNextVisitDate(java.util.Date nextVisitDate){
		this.nextVisitDate = nextVisitDate;
	}
	
	public java.util.Date getNextVisitDate(){
		return this.nextVisitDate;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public String getOperatorName() {
		return operatorName;
	}

	public void setOperatorName(String operatorName) {
		this.operatorName = operatorName;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
